--- title: "Get certificate" slug: "edge-getcertificate" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/edge-getcertificate" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get certificate Available in Classic and VPC Get details of a provisioned certificate. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/certificate/provisioning/{slotId} | ### Request headers For information about the headers common to all Global Edge APIs, see [Global Edge request headers](/docs/en/edge-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `slotId` | Long | Required | Certificate slot ID - See [Get certificate list](/docs/en/edge-getcertificatelist). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 0-N (default: 1) | | `offset` | Integer | Optional | Number of items per page - 1-N (default: 15) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://edge.apigw.ntruss.com/api/v1/certificate/provisioning/68' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `slotId` | Long | - | Certificate slot ID | | `certificates` | Array | - | Certificate information: [Certificate](/docs/en/edge-getcertificate#Certificate) | | `linkedEdges` | Object | - | List of connected edges | | `linkedEdges.content` | Array | - | Edge information: [LinkedEdge](/docs/en/edge-getcertificate#LinkedEdge) | | `linkedEdges.pageable` | Object | - | Paging information | | `linkedEdges.pageable.pageNo` | Integer | - | Page number | | `linkedEdges.pageable.offset` | Integer | - | Number of items per page | | `linkedEdges.pageable.totalCount` | Integer | - | Number of connected edges | #### `Certificate` The following describes `Certificate`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `itemId` | Long | - | Certificate unique number - Serial number automatically assigned upon provisioning | | `serviceRegion` | String | - | Certificate application scope - `KR_JP` \| `GLOBAL` - `KR_JP`: Korea, Japan - `GLOBAL`: Global | | `cmCertificateName` | String | - | Certificate name | | `commonName` | String | - | Domain name | | `sanDomains` | Array | - | List of additional domains - Additional domains registered in the certificate's subject alternative name (SAN) | | `serialNumber` | String | - | Serial number | | `expirationDate` | String | - | Expiration date and time - ISO 8601 format (UTC standard) | #### `LinkedEdge` The following describes `LinkedEdge`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `profileName` | String | - | Profile name | | `edgeName` | String | - | Edge name | | `serviceDomain` | String | - | Service domain name | | `edgeStatus` | String | - | Edge status - `PUBLISHING` \| `RUNNING` \| `STOPPING` \| `STOPPED` \| `ACTIVATING` \| `DELETING` \| `DELETED` - `PUBLISHING`: Deploying - `RUNNING`: Operating - `STOPPING`: Stopping - `STOPPED`: Stopped - `ACTIVATING`: Restarting - `DELETING`: Deleting - `DELETED`: Deleted | | `modificationDate` | String | - | Last change date and time - ISO 8601 format (UTC standard) | ### Response status codes For information about the HTTP status codes common to all Global Edge APIs, see [Global Edge response status codes](/docs/en/edge-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0000", "message": "Success", "result": { "slotId": 68, "certificates": [ { "itemId": 130, "serviceRegion": "KR_JP", "cmCertificateName": "cert*******l", "commonName": "h************.kr", "sanDomains": [], "serialNumber": "98:72:ff:**:**:**:**:**:**:**:**:**:**:**:36:03", "expirationDate": "2025-11-05T23:59:59Z" } ], "linkedEdges": { "content": [ { "profileName": "testpro", "edgeName": "e102", "serviceDomain": "h************.kr", "edgeStatus": "PUBLISHING", "modificationDate": "2025-08-07T04:21:06.965Z" } ], "pageable": { "pageNo": 1, "offset": 15, "totalCount": 1 } } } } ```